[arch-commits] CVS update of extra/network/opera (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Dec 30 04:36:53 EST 2007


    Date: Sunday, December 30, 2007 @ 04:36:53
  Author: andyrtr
    Path: /home/cvs-extra/extra/network/opera

Modified: PKGBUILD (1.39 -> 1.40)

new snapshot for x86_64


----------+
 PKGBUILD |   27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)


Index: extra/network/opera/PKGBUILD
diff -u extra/network/opera/PKGBUILD:1.39 extra/network/opera/PKGBUILD:1.40
--- extra/network/opera/PKGBUILD:1.39	Wed Dec 19 05:58:29 2007
+++ extra/network/opera/PKGBUILD	Sun Dec 30 04:36:53 2007
@@ -1,24 +1,31 @@
-# $Id: PKGBUILD,v 1.39 2007/12/19 10:58:29 tom Exp $
+# $Id: PKGBUILD,v 1.40 2007/12/30 09:36:53 andyrtr Exp $
 # Maintainer: Tom Killian <tom at archlinux.org>
 # Contributor: dorphell <dorphell at archlinux.org>
 
 pkgname=opera
-pkgver=9.25
-pkgrel=1
+pkgver=9.50
+pkgrel=0.11
 pkgdesc="The Opera web browser"
 url="http://www.opera.com/"
 depends=(qt)
 license=('custom:opera')
-arch=('i686')
-source=(ftp://ftp.opera.com/pub/opera/linux/925/final/en/i386/shared/opera-9.25-20071214.6-shared-qt.i386-en.tar.bz2
-        opera.desktop)
+arch=('i686' 'x86_64')
+source=(ftp://ftp.opera.com/pub/opera/linux/925/final/en/i386/shared/opera-9.25-20071214.6-shared-qt.i386-en.tar.bz2 opera.desktop)
+md5sums=('496adcd61d1f510b64009e49702ec21f'
+         'f99bef1a9200abe5a5cda78665cddc84')
+[ "$CARCH" = "x86_64" ] && source=(http://snapshot.opera.com/unix/snapshot-1729/x86_64-linux/opera-9.50-20071221.2-shared-qt.x86_64-1729.tar.bz2
+ opera.desktop)
+[ "$CARCH" = "x86_64" ] && md5sums=('f97e497a09988efa0c6cb513ee47a0d1'
+         'f99bef1a9200abe5a5cda78665cddc84')
 
 build() {
-   cd ${startdir}/src/opera-9.25-20071214.6-shared-qt.i386-en-687
-   sed 's|/usr/X11R6/lib/mozilla/plugins=1|/opt/mozilla/lib/plugins=1|' -i ini/pluginpath.ini || return 1
+if [ "$CARCH" = "x86_64" ]; then
+       cd ${startdir}/src/opera-9.50-20071221.2-shared-qt.x86_64-1729
+       sed 's|/usr/X11R6/lib/mozilla/plugins=1|/opt/mozilla/lib/plugins=1|' -i usr/share/opera/ini/pluginpath.ini || return 1
+  else cd ${startdir}/src/opera-9.25-20071214.6-shared-qt.i386-en-687
+       sed 's|/usr/X11R6/lib/mozilla/plugins=1|/opt/mozilla/lib/plugins=1|' -i ini/pluginpath.ini || return 1
+fi
    ./install.sh DESTDIR=${startdir}/pkg
    install -D -m 644 ${startdir}/src/opera.desktop ${startdir}/pkg/usr/share/applications/opera.desktop
    install -D -m 644 LICENSE ${startdir}/pkg/usr/share/licenses/opera/license.txt
 }
-md5sums=('496adcd61d1f510b64009e49702ec21f'
-         'f99bef1a9200abe5a5cda78665cddc84')




More information about the arch-commits mailing list